import { IDetectsCollisions } from "./IDetectsCollisions";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Base, Type } from "igniteui-react-core/ES5/type";
export declare class CollisionAvoider extends Base implements IDetectsCollisions {
    constructor();
    tryAdd(a: Rect): boolean;
    clear(): void;
    private a;
    static $t: Type;
}
